var timer;

window.onload = function () {
    //loadProductMonitorData();
    //timer = setInterval(loadProductMonitorData, 1000);
}

window.onunload = function () {
    //clearInterval(timer);
}

function isEmpty(str) {
	if (typeof str === 'string' || str instanceof String)
		return (!str || 0 === str.length);
	return true;
}

function createHttp() {
	if (window.ActiveXObject){
		try {
			return new ActiveXObject("Msxml2.XMLHTTP");
		} catch(e1) {
			try {
				return new ActiveXObject("Microsoft.XMLHTTP");
			}catch(e1){
				return null;
			}
		}
	} else if (window.XMLHttpRequest) {
		return new XMLHttpRequest();	
	}
	
	return null;
}

function login() {
    var url;
	var id = document.getElementById("idName").value;
	var pw = document.getElementById("pwName").value;
	
	var time = new Date().getTime();

	if (document.location.protocol == 'https:') {
		url = "https://" + window.location.host + "/accounts/login?id=" + id + "&pw=" + pw +"&timeout=300&time=" + time.toString();
	}
	else {
		url = "http://" + window.location.host + "/accounts/login?id=" + id + "&pw=" + pw +"&timeout=300&time=" + time.toString();
	}

    var xmlhttp = createHttp();
    if (!xmlhttp) {
      alert('Giving up :( Cannot create an XMLHTTP instance');
      return;
    }
	
    xmlhttp.open("GET", url, true);
    xmlhttp.onreadystatechange = function () {
		
        if (xmlhttp.readyState == 4 /* XMLHttpRequest.DONE - ie state problem */) {
			console.log ("xmlhttp.status : " + xmlhttp.status);
		
			if (xmlhttp.status == 200) {
				var json = JSON.parse(xmlhttp.responseText);
				var timeout = json["timeout"];
				var time = 0;
				if (!isEmpty(timeout))
				{
					time = Number(timeout);
				}
				setCookie( "sid", json["sid"], time );
				
				var id = document.getElementById("idName").value;
				if (id) {
					setCookie( "loginid", id, time );
				}
				location.href = "main.html";
			} else{
				location.href = "login_error.html";
			}
        }
    }

    xmlhttp.send();
}


