function Queue(length){

    var queue  = [];
    var offset = 0;
    var maxLength = -1;

    if (length != undefined) {
        maxLength = length;
    }

    this.getLength = function(){
        return (queue.length - offset);
    }

    this.isEmpty = function(){
        return (queue.length == 0);
    }

    this.enqueue = function(item){
        if (maxLength > 0 && queue.length >= maxLength ) {
            console.log("Waring: queue overflowed!!!");
            this.dequeue();
        }
        queue.push(item);
    }

    this.dequeue = function(){

        if (queue.length == 0) return undefined;

        var item = queue[offset];

        if (++ offset * 2 >= queue.length){
            queue  = queue.slice(offset);
            offset = 0;
        }

        return item;

    }

    this.peek = function(){
        return (queue.length > 0 ? queue[offset] : undefined);
    }
}
