import QtQuick 2.0
import com.wemx 1.0
import "WEMXPushNotificationServiceMain.js" as Main

Item {
    id: pushNotificationService;

    Timer {
        id : senderTimer
        interval : 1000
        running : false
        repeat : false
    }

    Component.onCompleted: {
        console.log(">> start WEMX Push Notification Service... ");
        Main.initService(senderTimer);
    }

    Component.onDestruction: {
        console.log(">> destory WEMX Push Notification Service... ");
    }
}
