

function SubDriver(subServiceDriver)
{
    this.subServiceDriver = subServiceDriver;
}


SubDriver.prototype.executed = function(cmd, args1, args2, cb, connId)
{
//console.log("RDSDeviceSub --------------   ============ >>> ", cmd );

    switch(cmd)
    {
        case "connect":
            this.parentDriver.connect(cb, this.slaveEnvIdx);
            break;

        case "disconnect":
            this.parentDriver.disconnect(this.slaveEnvIdx);
            break;


        case "setDeviceProperty":
            this.parentDriver.setDeviceProperty(args1, args2, cb, this.slaveEnvIdx);
            break;

        case "getDeviceProperty":
            this.parentDriver.getDeviceProperty(args1, cb, this.slaveEnvIdx);
            break;

        case "registerStateNotify":
            this.parentDriver.registerStateNotify(cb, connId, this.slaveEnvIdx);         
            break;
    }
}


SubDriver.prototype.init = function(parentDriver, subServiceName)
{
//    this.subServiceDriver.setName(subServiceName);
//    this.subServiceDriver.setFullName(parentDriver.serviceDriver.fullName() + "/" + this.subServiceDriver.name());
    // TODO: opDriver는 좀 더 직관적이게 수정 필요함 
    this.subServiceDriver.opDriver = parentDriver.serviceDriver;

    var slaveEnvIdx = parentDriver.openSlaveEnvIdx();
    if ( slaveEnvIdx < 0 )
    {
        console.log("RDSDeviceSubMain >> openSlaveEnvIdx() fail...");
        return(false);
    }
    this.slaveEnvIdx = this.subServiceDriver.slaveEnvIdx = slaveEnvIdx;
    this.parentDriver = parentDriver;

    // local(connId가 -1인경우) 접속의 경우, newConnection이 발생하지 않으므로 여기서 발생시켜, connId가 -1인 경우, 필요한 
    // 구조체를 생성하게 한다. 
    this.parentDriver.newConnection(-1, slaveEnvIdx);
    return(true);
}


