var dataBuf = new ArrayBuffer(65536*2);

function WEMXDriverAPI1_openChannel(openParam)
{    
console.log("WEMXDriverAPI1_openChannel >> ---------------------------------- JSAPI1 ", openParam);
    return(0);
}

function WEMXDriverAPI1_openSlaveEnv(channelId)
{
    return(0);
}

function WEMXDriverAPI1_connect(channelId)
{
console.log("WEMXDriverAPI1_connect >> ---------------------------------------  JSAPI1 ");
    return(0);
}

function WEMXDriverAPI1_disconnect(channelId)
{
console.log("WEMXDriverAPI1_disconnect >> ---------------------------------------  JSAPI1 ");    
    return(0);
}

function WEMXDriverAPI1_readData(channelId, slaveEnvIdx, unitId, address, arrDataBuf, nBytes)
{
    console.log(" ----------- WEMXDriverAPI1_readData --------------------------- ", address, nBytes);
    
    if ( (address < 0) || (address >= 65536) )
    {
        return(-1);
    }
    
    wemx.wmemcpy(arrDataBuf, 0, dataBuf, address << 1, nBytes);    
    return(nBytes);
}


function WEMXDriverAPI1_writeData(channelId, slaveEnvIdx, unitId, address, arrDataBuf, nBytes)
{
    console.log(" ----------- WEMXDriverAPI1_writeData ----------------------------", address, nBytes);
    
    if ( (address < 0) || (address >= 65536) )
    {
        return(-1);
    }
    
    wemx.wmemcpy(dataBuf, address << 1, arrDataBuf, 0, nBytes);
    return(nBytes);
}


/*
// option API
function WEMXDriverAPI1_changeConnParam(channelId, connParam)
{
}

// option API
function WEMXDriverAPI1_getProperty(channelId, slaveEnvIdx, key)
{
}
*/

/*
// option API
function WEMXDriverAPI1_setProperty(channelId, slaveEnvIdx, key, value)
{
    console.log("WEMXDriverAPI1_setProperty >> ", channelId, ":", slaveEnvIdx, ":", key, ":", value);
}*/


