.import "CommChannelConst.js" as CommChannelDef


function ConvertDriver()
{
}



var cvtDrvier;
var readTh;



function setupClient()
{
console.log(" ------------------------ start setup Client.................");
    cvtDrvier = new ConvertDriver();


    cvtDrvier.srcCommCh = wemx.getCommChannel();
    if ( cvtDrvier.srcCommCh == null )
    {
        console.log("------- wemx.getCommChannel() null ");
        return;
    }

//    var cParm = { type: CommChannelDef.CONNECTION_TYPE_SIO, port: "COM4", baud: 9600 };
    var cParm = { type: CommChannelDef.CONNECTION_TYPE_ETHERNET, ip: "127.0.0.1", port: 33111 };
    if ( cvtDrvier.srcCommCh.setConnParam(cParm) < 0 )
    {
        console.log("------- commCh.setConnParam() error ");
        return;
    }

    if ( cvtDrvier.srcCommCh.connect() < 0 )
    {
        console.log("------- commCh.connect() error ");
        return;
    }


    cvtDrvier.destCommCh = wemx.getCommChannel();
    if ( cvtDrvier.destCommCh == null )
    {
        console.log("------- wemx.getCommChannel() null ");
        return;
    }

    cParm = { type: CommChannelDef.CONNECTION_TYPE_SIO, port: "COM6", baud: 9600 };
    if ( cvtDrvier.destCommCh.setConnParam(cParm) < 0 )
    {
        console.log("------- commCh.setConnParam() COM6 error ");
        return;
    }

    if ( cvtDrvier.destCommCh.connect() < 0 )
    {
        console.log("------- commCh.connect() COM6 error ");
        return;
    }

    var rUrl = Qt.resolvedUrl("SioToEthSrcToDest.qml");
    var parm = { "driver": cvtDrvier };
    var srcToDestTh = wemx.startThread(rUrl, parm);

    srcToDestTh.execute("run", null, null);


    rUrl = Qt.resolvedUrl("SioToEthDestToSrc.qml");
    parm = { "driver": cvtDrvier };
    var destToSrcTh = wemx.startThread(rUrl, parm);

    destToSrcTh.execute("run", null, null);
}


function setupServer()
{
console.log(" ------------------------ start setup Server.................");

    cvtDrvier = new ConvertDriver();


    var serverCommCh = wemx.getCommChannel();
    if ( serverCommCh == null )
    {
        console.log("------- wemx.getCommChannel() null ");
        return;
    }

    var cParm = { type: CommChannelDef.CONNECTION_TYPE_ETHERNET, ip: "127.0.0.1", port: 33111 };
    if ( serverCommCh.setConnParam(cParm) < 0 )
    {
        console.log("------- commCh.setConnParam() error ");
        return;
    }

    if ( serverCommCh.tcpListen(1) < 0 )
    {
        qDebug() << ">> wemx server - tcp listen error ... exit...";    
        return;
    }

console.log(">> wemx server - waiting for connection.");

    cvtDrvier.srcCommCh = serverCommCh.tcpAccept();

/*
    if ( cvtDrvier.commCh.isConnected() == false )
    {
        console.log(">> wemx server - tcp accept error ... exit waitConnection");
        return;
    }*/

console.log(">> servier connetion OK... go...", cvtDrvier.srcCommCh);


    cvtDrvier.destCommCh = wemx.getCommChannel();
    if ( cvtDrvier.destCommCh == null )
    {
        console.log("------- wemx.getCommChannel() dest null ");
        return;
    }    
    
    cParm = { type: CommChannelDef.CONNECTION_TYPE_SIO, port: "COM4", baud: 9600 };
    if ( cvtDrvier.destCommCh.setConnParam(cParm) < 0 )
    {
        console.log("------- commCh.setConnParam() COM4 error ");
        return;
    }
    
    if ( cvtDrvier.destCommCh.connect() < 0 )
    {
        console.log("------- commCh.connect() COM4 error ");
        return;
    }

/*
console.log("------------ go read write test .............");
try {
    var readBuf = new ArrayBuffer(1024);
    var uint8View = new Uint8Array(readBuf);
    uint8View[0] = 65;
    for(var x=0;  x < 10; x++)
    {
//        var iRtn = cvtDrvier.destCommCh.readTimeout(readBuf, 0, 1, 0x7fffffff);
        var iRtn = cvtDrvier.destCommCh.write(readBuf, 0, 1);

        console.log(" ----------> iRtn ", iRtn, wemx.elapsed());
    }
} catch(Err) {
    console.log(" ------- Err: " , Err);
}
console.log("------------ go read write test end.............");
*/


    var rUrl = Qt.resolvedUrl("SioToEthSrcToDest.qml");
    var parm = { "driver": cvtDrvier };
    var srcToDestTh = wemx.startThread(rUrl, parm);

    srcToDestTh.execute("run", null, null);


    rUrl = Qt.resolvedUrl("SioToEthDestToSrc.qml");
    parm = { "driver": cvtDrvier };
    var destToSrcTh = wemx.startThread(rUrl, parm);

    destToSrcTh.execute("run", null, null);


/*
    var wTimerService = wemx.getService("/local/TimerService");
    var timer = wTimerService.executeS("getTimer", null, null);
    timer.setCallback(timeoutTest, null);
    timer.setSingleShot(true);    
    timer.start(5000);*/
}

/*
function timeoutTest()
{
console.log("------> timeoutTest disconnect ----------");
    cvtDrvier.destCommCh.disconnect();
}
*/

function modeCallback(parm1, parm2, changedValue, timeout)
{
    if ( changedValue == 1 )
    {   // client
        setupClient();
    }
    else if ( changedValue == 2 )
    {
        // server
        setupServer();
    }
    else
    {
        console.log(" --------------------------- modeCallback ", changedValue);
    }
}


function init(serviceDriver)
{
/*
    serviceDriver.registerChangeNotify.connect(doRegisterChangeNotify);
    serviceDriver.reregisterChangeNotify.connect(doReregisterChangeNotify);
    serviceDriver.write.connect(doWrite);
    serviceDriver.activate.connect(doActivate);
    serviceDriver.deactivate.connect(doDeactivate);
  */  

//    var devInfo = wemx.startParm;
//    driverEnv = devInfo.getDriverEnv(); // saveDriverEnv(json)  : json value중에 read only value도 있음(ex devId)
    
//    driverDevice = new DriverDevice(serviceDriver);

    serviceDriver.executed.connect(serviceDriver.executed);
      
    //serviceDriver.setName("Device" + driverEnv.devId);          //QString::number(devInfo->masterInfo->masterId);
    //serviceDriver.setFullName(serviceDriver.name());


    console.log(">> start Script Convert Driver ... ");


    var modeTag = wemx.getTag("SioToEthMode");
    modeTag.tagRegisterChangeNotify(modeCallback, null, null);





/*
var wTimerService = wemx.getService("/local/TimerService");
var periodTimer = wTimerService.executeS("getTimer", null, null);
periodTimer.setCallback(testClose, null);
periodTimer.setSingleShot(true);
periodTimer.start(5000);
*/


//    var localService = wemx.getService("/local");
//    localService.setService(serviceDriver.name(), serviceDriver);
    
    return(true);
}



